Subject: bug#64653: 'static-networking' fails to start

From: Fabio Natali <[email-masked]>
Date: Mon, 25 Mar 2024 18:43:13 +0000

On 2024-03-25, 11:52 +0000, Fabio Natali <[email-masked]> wrote:
> Once the reconfiguration has taken place and when restarting the
> networking service, I get this error:
>
> ,----
> | herd: error: exception caught while executing 'start' on service 'networking':
> | Throw to key `%exception' with args `("#<&netlink-response-error errno: 17>")'.
> `----

Ok, good news, thanks to Felix's advice[0] I was able to get this
sorted!

Apparently, specifying a default IPv6 gateway (as a link local address)
is what was causing the issue for me. Once the following bit was
commented out, everything started working again.

,----
| (static-networking
|  (addresses (list (network-address
|                    (device "eth0")
|                    (value "10.0.0.2/24"))
|                   (network-address
|                    (device "eth0")
|                    (value "2001:db8::1/64"))))
|  (routes (list (network-route
|                 (destination "default")
|                 (gateway "10.0.0.1"))))
| ;;                (network-route
| ;;                 (destination "default")
| ;;                 (gateway "fe80::"))))
|  (name-servers '("10.0.0.1" "2001:db8::")))
`----

("fe80::" and "2001:db8::" are just placeholders.)

I assume the router address gets retrieved automatically via Router
Advertisment (RA), so no need for that in my case.

Still, I'd expect to be possible to indicate the router's link-local
address... Do you see a possible bug here or is there anything else that
I might be missing?

Thanks, cheers, Fabio.

[0] https://lists.gnu.org/archive/html/help-guix/2024-03/msg00132.html

-- 
Fabio Natali
https://fabionatali.com